Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.RPCHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class RPCHandler
extends SOAPHandler

This is the SOAPHandler which is called for each RPC parameter as we're deserializing the XML for a method call or return. In other words for this XML:

Hello! 3.14159

...we'll get onStartChild() events for and .

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`RPCHandler(RPCElement rpcElem, boolean isResponse)`

Method Summary
`void` | `endElement(String namespace, String localName, DeserializationContext context)`
`SOAPHandler` | `onStartChild(String namespace, String localName, String prefix, Attributes attributes, DeserializationContext context)` Register the start of a parameter (child element of the method call element).
`void` | `setHeaderElement(boolean value)` Indicate RPCHandler is processing header elements
`void` | `setOperation(OperationDesc myOperation)`
`void` | `startElement(String namespace, String localName, String prefix, Attributes attributes, DeserializationContext context)` This method is invoked when an element start tag is encountered.

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCHandler

    public RPCHandler(RPCElement rpcElem,
                      boolean isResponse)

Method Detail

### setOperation

    public void setOperation(OperationDesc myOperation)

### setHeaderElement

    public void setHeaderElement(boolean value)

  Indicate RPCHandler is processing header elements

  Parameters:
    `value` - boolean indicating whether header elements are being processed.

### startElement

    public void startElement(String namespace,
                             String localName,
                             String prefix,
                             Attributes attributes,
                             DeserializationContext context)
                      throws SAXException

  This method is invoked when an element start tag is encountered. The purpose of this method in RPCHandler is to reset variables (this allows re-use of RPCHandlers)

  Overrides:
    `startElement` in class `SOAPHandler`
  Parameters:
    `namespace` - is the namespace of the element
    `localName` - is the name of the element
    `prefix` - is the prefix of the element
    `attributes` - are the attributes on the element...used to get the type
    `context` - is the DeserializationContext
  Throws:
    `SAXException`

### onStartChild

    public SOAPHandler onStartChild(String namespace,
                                    String localName,
                                    String prefix,
                                    Attributes attributes,
                                    DeserializationContext context)
                             throws SAXException

  Register the start of a parameter (child element of the method call element).

  Our job here is to figure out a) which parameter this is (based on the QName of the element or its position), and b) what type it is (based on the xsi:type attribute or operation metadata) so we can successfully deserialize it.

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String namespace,
                           String localName,
                           DeserializationContext context)
                    throws SAXException

  Overrides:
    `endElement` in class `SOAPHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.